package nxm.sys.inc;

/*
 * Interface definition for Service Provider Interface (SPI) <br>
 * This interface defines the method to be implemented by a service
 * for getting the option name and adding it to the path.
 *
 *
 *  @see nxm.sys.lib.OptionTreeAutoLoaderService
 *  @see optiontrees.OptionTreeDSP
 *  @see META-INF/services
 *
 *  @author Juan Velasquez
 *  @since NeXtMidas 3.7.1
 */

public interface OptionTreeAutoLoaderInterface {
  public String getOptionTreeName ();

}