package nxm.sys.intr;

import nxm.sys.lib.*;

/**
  Handle a block ENDWHILE control statement.

  @author Jeff Schoen
  @version $Id: Endwhile.java,v 1.5 2007/08/30 22:15:41 ntn Exp $

  @see While
*/
public class Endwhile extends Intrinsic {

  public int process() {
    // jump back to WHILE to try test again
    if (M.macro!=null) {
      M.macro.nextIndex = nextIndex;
    }

    return FINISH;
  }
}
