package nxm.sys.intr;

import nxm.sys.inc.*;
import nxm.sys.lib.*;

/**
  Resets the NeXtMidas environment.

  @author Jeff Schoen
  @version $Id: Reset.java,v 1.6 2013/03/08 13:40:43 ntn Exp $
*/
public class Reset extends Intrinsic {

  public int process() {

    String func = MA.getU("FUNC");
    if (M.macro != null) {
      M.macro = null;
    }
    if (M.pipeMode != Midas.POFF) {
      M.pipeMode = Midas.POFF;
    }

    return FINISH;
  }
}
