package nxm.sys.intr;

import nxm.sys.inc.*;
import nxm.sys.lib.*;

/**
  Handles returning from a macro.

  @author Jeff Schoen
  @version $Id: Stop.java,v 1.10 2006/04/24 20:04:45 jph Exp $

*/
public class Stop extends Intrinsic {

  /** {@inheritDoc} */
  public int process() {
    if (M.macro == null) {
      M.warning("No macro executing ...");
    }
    else if (M.pipeMode != Midas.POFF) {
      M.pipeMode = Midas.PSTOP;
    }
    else {
      M.macro.nextIndex = -1;
      String text = MA.getU("TEXT");
      if (text.length()>0) M.warning(text);
      M.macro.setState(FINISH);
    }
    return (FINISH);
  }
}

