package nxm.nmpostlegacy.lib;

import nxm.sys.lib.Table;
import nxm.sys.lib.Midas;

/**
 * <p>Title: UserLib </p>
 * <p>Description: Simple collection of class used by NMPost...  </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: ZETA Associates</p>
 * @author Wayne G. Dengel II
 * @version 1.0
 */
public class UserLib extends Object {
  private static SendFile sf = null;
  private static SendMsg  sm = null;

  public static void sendfile(Midas M,String node, int port, String filename){
    System.out.println("SendFile data to ::");
    System.out.println("    Node = "+node);
    System.out.println("    Port = "+port);
    System.out.println("    File = "+filename);
    sf = new SendFile(M,node,port,filename,null,null);
    return;
  }

  public static void sendmsg(String node, int port, Table tbl){
    System.out.println("SendFile data to ::");
    System.out.println("    Node    = "+node);
    System.out.println("    Port    = "+port);
    System.out.println("    Payload = "+tbl);

    //Table msgM = new Table();
    //msgM.put("NAME","WHPOST");
    //msgM.put("TO","MAIN");
    //msgM.put("FROM","WHPOST");
    //msgM.put("INFO","0");
    //msgM.put("DATA",tbl);
    sm = new SendMsg(node,port,tbl,null);
    return;
  }
}
