package nxm.nmpostlegacy.prim;

import nxm.sys.lib.*;
import nxm.nmpostlegacy.lib.*;

/**
 * <p>Title:        testsend</p>
 * <p>Description: This Primitive is a example of how to use SEMDMSG, and SENDFILE</p>
 * <p>Company:    Zeta Associates</p>
 * @author        Wayne G. Dengel II
 * @version 1.0
 */
/*
<XML>
 <MSG NAME="WAYNE">                                                    <--- Message NAME
  <INFO="10"/>                                                         <--- Message INFO Field
  <TO="MAIN"/>                                                         <--- Who gets this message
  <FROM="WEB"/>                                                        <--- Who sent this message
  <DATAFMT="S,S,2A,D,L"/>                                              <--- NOT USED AT THIS TIME.....
  <DATA>                                                               <--- Data Space....
   TUNER=RFSC24,DEMOD=FM,TEST=WAYNEDENGELasdfg,MYD=1.123456,MYL=90243  <--- Data
  </DATA>
 </MSG>
</XML>
 */
public class testsend extends Primitive implements SendFile_cb, SendMsg_cb {
  private SendMsg   sm    = null;
  private SendFile sf    = null;
  private int    sfstat = 0;
  private int    smstat = 0;

  public int open() {
    String node = MA.getS("HOST");
    int    port = MA.getL("PORT");
    String file = MA.getS("FILE");

    //M.info("SendMsg/SendFile test/example primitive");
    //M.info("Send data to ::");
    //M.info("    Node = "+node);
    //M.info("    Port = "+port);
    //M.info("    File = "+file);

    Table msgD = new Table();
    Table msgM = new Table();
    msgM.put("NAME","POST");
    msgM.put("TO","MAIN");
    msgM.put("FROM","MYSELF");
    msgM.put("INFO","5000");
    msgD.put("TYPE","GEORES");
    msgD.put("FILENAME","TEST.TMP");
    msgM.put("DATA",msgD);

    //M.info("    Msg we are sending::");
    //M.info("        "+msgM+"\n\n\n");

    sm = new SendMsg(node,port,msgM,this);
    //sf = new SendFile(M,node,port,file.toLowerCase(),null,this);
    return NORMAL;
  }

  public void sfStatus(int i){
    //M.info("sfStatus = "+i);
    sfstat = i;
  }

  public void smStatus(int i){
    // M.info("smStatus = "+i);
    smstat = i;
  }

  public int process() {
    if (smstat==SendMsg.COMPLETE) return FINISH;

    //  if ((sfstat==SendFile.COMPLETE) && (smstat==SendMsg.COMPLETE)) return FINISH;
    //  if ((sfstat!=SendFile.COMPLETE) && (sfstat!=0)) {
    //    M.info("Error in SendFile...");
    //    return FINISH;
    //  }
    //  if ((smstat!=SendMsg.COMPLETE)&&(smstat!=0)) {
    //    M.info("Error in SendMsg...");
    //    return FINISH;
    //  }

    return NORMAL;
  }
}
