package nxm.sys.intr;

import nxm.sys.inc.*;
import nxm.sys.lib.*;

/**
  Parse a command from the dictionary.

  @author Jeff Schoen
  @version $Id: Parse.java,v 1.5 2006/04/11 19:40:27 jph Exp $

*/
public class Parse extends Intrinsic {

  String cmd,label; 
  Args targs; 

  public int process() {

    cmd = MA.getU("CMD");
    targs = Shell.parseCommand(M,cmd);

    label = MA.getU("NAME"); 
    MR.put(label, targs.name);

    label = MA.getU("SUP"); 
    MR.put(label, ""+targs.support);

    label = MA.getU("OPT");
    MR.put(label, targs.option);

    return (FINISH);
  }
}

