package nxm.sys.intr;

import nxm.sys.lib.Intrinsic;

/** Shows the syntax of a command. This matches the X-Midas command of the same name, see also
    {@link Defaults}.
    
    @see Defaults
    @see Explain
    
    @author  J. Czechowski IV
    @version $Id: Syntax.java,v 1.2 2011/07/14 17:34:40 hdk Exp $
    @since   NeXtMidas 2.5.4
*/
public class Syntax extends Intrinsic {
  public int open() {
    String name   = MA.getS("NAME");
    String syntax = M.dictionary.getSyntax(name);
    M.info(syntax);
    
    return FINISH;
  }
}
